#!/bin/bash


# 获取第一个登录用户的用户名和总线地址
USERNAME=$(loginctl list-users --no-legend | awk 'NR==1{print $2}')
USER_ID=$(id -u $USERNAME)
DBUS_ADDRESS="unix:path=/run/user/$USER_ID/bus"


#LOCAL_LANG=$(grep "^LANG=" /etc/default/locale | cut -d'=' -f2)
#echo $LOCAL_LANG > /data/usershare/a.txt
#echo $LANGUAGE > /data/usershare/b.txt
#echo $locale > /data/usershare/c.txt

#case "$LOCAL_LANG" in
#	"en_US.UTF-8")
#        APP_NAME="System Activation"
#		TITLE="The script has run to completion. Please log out of the system. Once this operation is finished, the version switch will occur automatically"
#        ;;
#    "bo_CN.UTF-8")
#        APP_NAME="མ་ལག་གི་འགུལ་སྐྱོད།"
#		TITLE="བརྟགས་སྒྱུ་ལས་རྒྱུད་ནི་བསྐྱེད་འདིས་མཐའ་རྒྱུད་བྱས་པའི་རེད། སྲིད་སྐྱོང་གི་བརྟགས་སྒྱུ་ལས་བྱེད་ནས། དེ་ལ་བྱེད་པ་འདི་མ་ཟད་ན་སྐྱོང་ལས་འབྲེལ་བའི་འཕྲུལ་སྐྱོར་རྒྱུ་རྣམས་དང་ལྟ་བུ་བསྐྱེད་དུ་བྱེད་པའི་རེད།"
#        ;;
#    "mn_MN.UTF-8")
#        APP_NAME="ᠰᠢᠰᠲ᠋ᠧᠮ ᠢᠳᠡᠪᠬᠢᠵᠢᠬᠦᠯᠬᠦ"
#		TITLE="ᠦᠯᠢᠭᠡᠷ ᠳᠡᠪᠲᠡᠷ ᠢ ᠨᠢᠭᠡᠨᠲᠡ ᠶᠠᠪᠤᠭᠳᠠᠭᠤᠯᠵᠤ ᠳᠠᠭᠤᠰᠭᠠᠵᠠᠢ ᠲᠠ ᠰᠢᠰᠲ᠋ᠡᠮ ᠢ ᠬᠠᠰᠤᠭᠠᠷᠠᠢ ᠃ ᠵᠢᠯᠣᠭᠣᠳᠣᠯᠭ᠎ᠠ ᠳᠠᠭᠤᠰᠤᠭᠰᠠᠨ ᠤ ᠳᠠᠷᠠᠭ᠎ᠠ ᠬᠡᠪᠯᠡᠯ ᠰᠣᠯᠢᠬᠤ ᠨᠢ ᠠᠦᠲ᠋ᠤ ᠶᠠᠪᠤᠭᠳᠠᠨ᠎ᠠ"
#        ;;
#    "zh_CN.UTF-8")
#        APP_NAME="系统激活"
#		TITLE="脚本已运行完毕，请您注销系统。操作完成后，版本切换将自动进行"
#        ;;
#	"zh_HK.UTF-8")
#        APP_NAME="系統激活"
#		TITLE="腳本已運行完畢，請您註銷系統。操作完成後，版本切換將自動進行"
#        ;;
#    *)
#        APP_NAME="System Activation"  # 默认值
#		TITLE="The script has run to completion. Please log out of the system. Once this operation is finished, the version switch will occur automatically"
#
#        ;;
#esac

#echo $env > /data/usershare/a.txt

#export TEXTDOMAIN='libkylin-activation'

#TITLE=$(gettext 'The script has run to completion. Please log out of the system. Once this operation is finished, the version switch will occur automatically')
#APP_NAME="System Activation";


# 配置参数
TITLE="${1:-The script has run to completion. Please log out of the system. Once this operation is finished, the version switch will occur automatically}"
APP_NAME="${2:-System Activation}"
BODY=""
ICON="${4:-kylin-activation}"
TIMEOUT="${5:-600000}"


{
# 以目标用户身份发送通知
sudo -u $USERNAME \
    DBUS_SESSION_BUS_ADDRESS=$DBUS_ADDRESS \
    gdbus call --session \
    --dest org.freedesktop.Notifications \
    --object-path /org/freedesktop/Notifications \
    --method org.freedesktop.Notifications.Notify \
    "$APP_NAME" 0 "$ICON" "$TITLE" "$BODY" [] {} $TIMEOUT

} &


